com.massivecraft.factions.scoreboards

## Class BufferedObjective

- java.lang.Object
- - com.massivecraft.factions.scoreboards.BufferedObjective

-     public class BufferedObjective
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedObjective(org.bukkit.scoreboard.Scoreboard scoreboard)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flip()`
    `void` | `hide()`
    `void` | `setAllLines(java.util.List<java.lang.String> lines)`
    `void` | `setDisplaySlot(org.bukkit.scoreboard.DisplaySlot slot)`
    `void` | `setLine(int lineNumber, java.lang.String content)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedObjective

          public BufferedObjective(org.bukkit.scoreboard.Scoreboard scoreboard)

  - ### Method Detail

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### setDisplaySlot

          public void setDisplaySlot(org.bukkit.scoreboard.DisplaySlot slot)

    - #### setAllLines

          public void setAllLines(java.util.List<java.lang.String> lines)

    - #### setLine

          public void setLine(int lineNumber,
                              java.lang.String content)

    - #### hide

          public void hide()

    - #### flip

          public void flip()